Bug 392901 - (CVE-2007-4767) CVE-2007-4767: pcre < 7.3 \p, \P, \P{x] length calculation issue
CVE-2007-4767: pcre < 7.3 \p, \P, \P{x] length calculation issue
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20070917,pu...
: Security
Depends On: 378411
Blocks: 307451
  Show dependency treegraph
 
Reported: 2007-11-20 14:50 EST by Ville Skyttä
Modified: 2008-03-06 11:36 EST (History)
1 user (show)

See Also:
Fixed In Version: 7.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-11-20 14:50:19 EST
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-4767

"Perl-Compatible Regular Expression (PCRE) library before 7.3 does not properly
compute the length of (1) a \p sequence, (2) a \P sequence, or (3) a \P{x}
sequence, which allows context-dependent attackers to cause a denial of service
(infinite loop or crash) or execute arbitrary code."

F7 ships pcre 7.0.
Comment 1 Fedora Update System 2008-02-15 11:34:36 EST
pcre-7.3-3.fc7 has been submitted as an update for Fedora 7
Comment 2 Fedora Update System 2008-02-18 22:20:16 EST
pcre-7.3-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pcre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1842
Comment 3 Fedora Update System 2008-03-06 11:36:26 EST
pcre-7.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.